function [new_wf] = prop_step(wf)
% PROP_STEP propagate a set of rays rectilinearly

vel =1;

new_wf = wf;
new_wf.rMd =[];
for i=1:wf.raynum
	new_wf.orig{i} = wf.dest{i};

	aux = wf.dest{i} - wf.orig{i};
	new_wf.dest{i} = new_wf.orig{i} + aux*vel;;
	
	new_wf.rMd = [new_wf.rMd; new_wf.dest{i}];
end;

new_wf.rMo = wf.rMd;



